#
# spec file for package ivman (Version 0.6.9)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hal-devel info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libusb libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ivman
Summary:        A generic handler for HAL events.
License:        GPL
Group:          System/Daemons
URL:            http://ivman.sourceforge.net/
Version:        0.6.9
Release:        16.5
Source0:        http://puzzle.dl.sourceforge.net/sourceforge/ivman/%name-%version.tar.bz2
Source1:        halmount.py
Patch0:         %name-%version-config.patch
Patch1:         %name-%version-makeuserconfigs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreq:        on
BuildRequires:  dbus-1-devel glib2-devel hal-devel libxml2-devel pkgconfig
Requires:       dbus-1-python

%description
Originally for automounting, it can now be used to run arbitrary
commands when events or conditions occur or properties are modified on
your hardware (e.g., run a command when you close your laptop's lid,
run a command when a particular device is attached or a particular CD
is inserted, etc).



Authors:
--------
    Ikke <eikke@users.sourceforge.net>
    Rohan <ro_han@users.sourceforge.net>

%debug_package
%prep
%setup -q
%patch0
%patch1

%build
pushd src/IvmConfig
ln -s IvmConfigProperties.xml IvmConfigProperties.xml.userDefault
ln -s IvmConfigConditions.xml IvmConfigConditions.xml.userDefault
ln -s IvmConfigBase.xml IvmConfigBase.xml.userDefault
ln -s IvmConfigActions.xml IvmConfigActions.xml.userDefault
popd
bash makeUserConfigs
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
 --sysconfdir=%{_sysconfdir} \
 --datadir=%{_datadir} \
 --libdir=%{_libdir} \
 --mandir=%{_mandir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -m 755 %{S:1} $RPM_BUILD_ROOT%_bindir
ln -s halmount.py $RPM_BUILD_ROOT%_bindir/halmount
%find_lang %{name}

%clean
rm -rf  %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog README TODO

%_sysconfdir/%name
%_bindir/*
%_mandir/man5/*
%_mandir/man8/*

%changelog -n ivman
* Fri May 19 2006 - hvogel@suse.de
- make the default userconfigs the same as the system configs so
  ivman started as user uses halmount too. [#173524]
* Thu Mar 16 2006 - lnussel@suse.de
- halmount.py:
  * don't use obsolete volume.policy.desired_mount_point (#158266)
  * quote unicode characters/catch exception if python doesn't like
  the string (#158266)
* Wed Feb 22 2006 - lnussel@suse.de
- halmount.py:
  * let hal choose the mountpoint if it says mountpoint
  invalid (#146306)
  * catch dbus errors upon connect to avoid ugly message if hal is
  not running/not ready yet
- install symlink halmount -> halmount.py to match config file
* Mon Feb 13 2006 - ro@suse.de
- specfile cleanup
* Mon Feb 13 2006 - hvogel@suse.de
- Initial package, version 0.6.9
